### Function

# ICalGLib restriction_compare

since: 1.0

#### Declaration [src]

    gint
    i_cal_restriction_compare (
      ICalRestrictionKind restr,
      gint count
    )

#### Description [src]

Compares the kind of restriction and the count to determine whether it is valid.

Available since: 1.0

#### Parameters

`restr`

  Type: `ICalRestrictionKind`

  The restriction kind.

`count`

  Type: `gint`

  The number of restrictions.

#### Return value

Type: `gint`

Whether it is valid or not. -1 indicates invalid or more analysis. 1 indicates pass and 0 or 2+ indicates fail.